"""
package_functions.py - utility functions for setting up
a package location for scripts running in in StarDrop

Copyright (C) Optibrium Ltd 2022
stardrop-support@optibrium.com

For advice or feedback, contact stardrop-support@optibrium.com
"""


import sys
import os
import platform


def add_site_packages_dir():
    stardrop_data_dir = ''
    if platform.system() == 'Windows':
        stardrop_data_dir = os.getenv("APPDATA")
    else:
        stardrop_data_dir = os.path.expanduser("~")

    stardrop_data_dir = os.path.join(stardrop_data_dir, "StarDrop")
    sites_dir = os.path.join(stardrop_data_dir, "site-packages")
    if sites_dir not in sys.path:
        sys.path.append(sites_dir)